// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

events.listen('recipes', event => {

  //Shapeless

event.shapeless(item.of('minecraft:chest', 1), ['#forge:chests/wooden'])
event.shapeless(item.of('bhc:yellow_heart_canister', 1), ['bhc:yellow_heart', '#forge:rods/blaze', 'minecraft:golden_apple', 'bhc:red_heart_canister'])
event.shapeless(item.of('bhc:green_heart_canister', 1), ['bhc:green_heart', 'minecraft:ghast_tear', 'minecraft:wither_skeleton_skull', 'bhc:yellow_heart_canister'])
event.shapeless(item.of('bhc:blue_heart_canister', 1), ['bhc:blue_heart', 'minecraft:nether_star', 'minecraft:enchanted_golden_apple', 'bhc:green_heart_canister'])

  // Shaped Recipes

event.shaped(item.of('minecraft:torch', 8), ['S','T'],{S: 'thermal:sulfur', T: '#forge:rods/wooden'})
event.shaped(item.of('kubejs:tiny_torch', 2), ['S','T'],{S: 'tinycoal:tinycoal', T: '#forge:rods/wooden'})
event.shaped(item.of('kubejs:tiny_torch', 2), ['S','T'],{S: 'tinycoal:tinycharcoal', T: '#forge:rods/wooden'})
event.shaped(item.of('waterstrainer:strainer_survivalist', 1), ['MM','MM'],{M: 'woodenutilities:wooden_bars'})
event.shaped(item.of('rats:marbled_cheese_raw', 4), ['CS','SC'],{C: '#forge:cheese', S:'#forge:stone'})
event.shaped(item.of('waterstrainer:strainer_fisherman', 1), ['VV','VV'],{V: 'minecraft:vine'})
event.shaped(item.of('minecraft:mossy_cobblestone', 1), ['MM','MM'],{M: 'kubejs:mossy_pebble'})
event.shaped(item.of('minecraft:granite', 1), ['MM','MM'],{M: 'kubejs:granite_pebble'})
event.shaped(item.of('minecraft:andesite', 1), ['MM','MM'],{M: 'kubejs:andesite_pebble'})
event.shaped(item.of('minecraft:diorite', 1), ['MM','MM'],{M: 'kubejs:diorite_pebble'})
event.shaped(item.of('create:andesite_alloy', 2), ['FM','MF'],{M: 'kubejs:andesite_pebble', F: 'minecraft:flint'})
event.shaped(item.of('immersiveengineering:alloybrick', 8), ['SBS','BCB','SBS'],{S: '#forge:sandstone', C: 'thermal:cinnabar_dust', B: 'minecraft:brick'})
event.shaped(item.of('immersiveengineering:blastbrick', 3), ['SBS','BCB','SBS'],{S: '#forge:ingots/invar', C: '#forge:coal_coke', B: '#forge:ingots/brick'})
event.shaped(item.of('kubejs:blank_ore', 1), ['SDS','DSD','SDS'],{S: '#forge:stone', D: 'kubejs:dust'})
event.shaped(item.of('storagenetwork:export_kabel', 2), ['KKK',' K ',' W '],{K: 'storagenetwork:kabel', W: 'woodenutilities:wooden_hopper'})
event.shaped(item.of('storagenetwork:import_kabel', 2), [' W ',' K ','KKK'],{K: 'storagenetwork:kabel', W: 'woodenutilities:wooden_hopper'})
event.shaped(item.of('bhc:canister',), [' C ','C C',' C '],{C: '#forge:ingots/compressed_iron'})
event.shaped(item.of('bhc:relic_apple',), ['DDD','DAD','DDD'],{D: '#forge:dusts', A: 'minecraft:apple'})
event.shaped(item.of('minecraft:golden_apple',), ['GGG','GAG','GGG'],{G: '#forge:ingots/gold', A: 'bhc:relic_apple'})

event.shaped(item.of('minecraft:end_portal_frame', 2), ['OOO','ECE','EEE'],
{
O: '#forge:obsidian',
E: '#forge:end_stones',
C: 'create:chromatic_compound'
})

event.shaped(item.of('travelersbackpack:standard', 1), ['LGL','TBT','LSL'],
{
L: '#forge:leather',
B: 'quark:backpack',
T: 'travelersbackpack:backpack_tank',
G: '#forge:ingots/gold',
S: 'travelersbackpack:sleeping_bag'
})

event.shaped(item.of('quark:backpack', 1), ['LCL','LBL','LCL'],
{
L: '#forge:leather',
B: 'woodenutilities:wooden_backpack',
C: '#forge:chests/wooden'
})

event.shaped(item.of('create:mechanical_press', 1), ['PAP','CSC','PVP'],
{
P: '#forge:plates/iron',
A: 'create:andesite_alloy',
C: 'create:cogwheel',
S: 'create:andesite_casing',
V: 'minecraft:anvil'
})

event.shaped(item.of('immersiveengineering:treated_wood_horizontal', 8), ['PPP','PBP','PPP'],
{
B: Item.of('ceramics:clay_bucket', {fluid:"immersiveengineering:creosote"}),
P: '#minecraft:planks'
})

event.shaped(item.of('immersivepetroleum:projector', 1), ['G  ','BW ',' BP'],
{
G: '#forge:glass',
B: '#forge:ingots/bronze',
W: 'woodenutilities:wooden_lamp',
P: '#minecraft:planks'
})

event.shaped(item.of('immersiveengineering:cokebrick', 9), ['CBC','BSB','CBC'],
{
S: '#forge:storage_blocks/sulfur',
B: '#forge:ingots/brick',
C: '#forge:clay'
})

event.shaped(item.of('storagenetwork:inventory', 1), ['CCC','CEC','CCC'],
{
E: '#forge:cheese',
C: '#forge:cobblestone'
})

event.shaped(item.of('storagenetwork:inventory', 1), ['NCN','CAC','NCN'],
{
N: '#forge:nuggets/bronze',
A: 'create:andesite_casing',
C: 'storagenetwork:kabel'
})

event.shaped(item.of('storagenetwork:master', 1), ['QCQ','CAC','QCQ'],
{
Q: '#forge:storage_blocks/quartz',
A: 'create:andesite_casing',
C: 'storagenetwork:kabel'
})

event.shaped(item.of('storagenetwork:kabel', 8), ['BBB','QSQ','BBB'],
{
Q: '#forge:gems/quartz',
B: '#forge:ingots/bronze',
S: '#forge:slimeballs'
})

event.shaped(item.of('vm:vending_machine', 1), ['CCC','CTC','CCC'],
{
C: '#forge:cobblestone',
T: 'minecraft:crafting_table'
})

event.shaped(item.of('woodenutilities:wooden_lamp', 2), [' W ','WTW',' W '],
{
W: 'woodenutilities:wooden_plate',
T: 'kubejs:tiny_torch'
})

event.shaped(item.of('rats:auto_curdler', 1), ['GGG','BWB','BBB'],
{
B: 'create:basin',
G: '#forge:glass',
W: 'create:whisk'
})

event.shaped(item.of('cobblefordays:tier_1', 1), ['WWW','BGL','WWW'],
{
W: '#minecraft:logs',
G: '#forge:glass',
L: Item.of('ceramics:cracked_clay_bucket', {fluid:"minecraft:lava"}),
B: Item.of('ceramics:clay_bucket', {fluid:"minecraft:water"})
})

event.shaped(item.of('create:rotation_speed_controller', 1), [' G ','GCG',' G '],
{
C: 'create:andesite_casing',
G: 'create:gearbox'
})

event.shaped(item.of('create:whisk', 1), [' W ','AWA','AAA'],
{
W: 'woodenutilities:wooden_bars',
A: 'create:andesite_alloy'
})


event.shaped(item.of('waterstrainer:strainer_base', 1), ['B B','PHP','PCP'],
{
B: 'woodenutilities:wooden_bars',
P: '#minecraft:planks',
H: 'woodenutilities:wooden_hopper',
C: '#forge:chests/wooden'
})

event.shaped(item.of('minecraft:chest', 2), ['WWW','W W','WWW'],
{
W: 'woodenutilities:wooden_plate'
})

event.shaped(item.of('botania:open_crate', 1), ['WWW','W W','W W'],
{
W: '#minecraft:logs'
})



event.shaped(item.of('kubejs:dirt_mulch', 4), ['LSL','SMS','LSL'],
{
L: '#minecraft:leaves',
S: '#minecraft:saplings',
M: 'kubejs:mossy_pebble'
})

event.shaped(item.of('minecraft:dirt', 4), ['CMC','MCM','CMC'],
{
M: 'kubejs:dirt_mulch',
C: 'botania:pebble'
})

event.shaped(item.of('minecraft:furnace', 1), ['CCC','CWC','CCC'],
{
W: 'woodenutilities:wooden_furnace',
C: '#forge:cobblestone'
})

})